## yubico-piv-tool 1.0.1

=== debian/changelog ===
yubico-piv-tool (1.0.1-1) unstable; urgency=low

  * New upstream version.
    - Update debian/copyright to match GPL->BSD relicense.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 11 Aug 2015 14:02:39 +0200

yubico-piv-tool (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Update README.source.
  * Add gbp.conf.
  * Add Alessio as uploader, and update upstream-signing-key.pgp.
  * Update symbols.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 07 Jul 2015 22:47:03 +0200

yubico-piv-tool (0.1.6-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 15 Apr 2015 14:53:54 +0200

yubico-piv-tool (0.1.5-1) unstable; urgency=low

  * Initial release. (Closes: #779837)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 30 Mar 2015 16:53:01 -0400
