## yubico-piv-tool 1.0.3

=== debian/changelog ===
yubico-piv-tool (1.0.3-1) unstable; urgency=low

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 08 Oct 2015 12:37:17 +0200

yubico-piv-tool (1.0.2-1) unstable; urgency=low

  * New upstream version.
  * Update upstream-signing-key.pgp.
  * Tweak watch file.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 22 Sep 2015 08:31:55 +0200
