=== debian/control ===
Source: yubico-piv-tool
Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Alessio Di Mauro <alessio@yubico.com>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9), pkg-config, libpcsclite-dev, libssl-dev, gengetopt, help2man, dh-autoreconf, chrpath
Standards-Version: 3.9.6
Homepage: https://developers.yubico.com/yubico-piv-tool/
Vcs-Git: git://github.com/Yubico/yubico-piv-tool-dpkg.git
Vcs-Browser: https://github.com/Yubico/yubico-piv-tool-dpkg

Package: libykpiv1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pcscd
Description: Library for communication with the YubiKey NEO PIV applet
 The Yubico PIV tool is used for interacting with the Privilege and
 Identification Card (PIV) applet on a YubiKey NEO. With it you may
 generate keys on the device, importing keys and certificates, and
 create certificate requests, and other operations.  A shared library
 and a command-line tool is included.
 .
 This package contains the run-time shared library.  You normally don't
 need to install it manually.

Package: libykpiv-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv1 (= ${binary:Version})
Description: Development files for the YubiKey NEO PIV applet library
 The Yubico PIV tool is used for interacting with the Privilege and
 Identification Card (PIV) applet on a YubiKey NEO. With it you may
 generate keys on the device, importing keys and certificates, and
 create certificate requests, and other operations.  A shared library
 and a command-line tool is included.
 .
 This package contains the development files for the library.

Package: yubico-piv-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool for the YubiKey NEO PIV applet
 The Yubico PIV tool is used for interacting with the Privilege and
 Identification Card (PIV) applet on a YubiKey NEO. With it you may
 generate keys on the device, importing keys and certificates, and
 create certificate requests, and other operations.  A shared library
 and a command-line tool is included.
 .
 This package contains the command-line tool.
