=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autoreconf --builddirectory=build

override_dh_install:
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/*
	chrpath -d $(CURDIR)/debian/tmp/usr/lib/*/libykpiv.so.*
	find debian/tmp -name \*.la -delete
	dh_install --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules
