## yubico-piv-tool 1.4.2

=== debian/changelog ===
yubico-piv-tool (1.4.2-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Improper bounds checking leading to buffer overflow and
    out-of-bounds read
    - debian/patches/CVE-2018-14779: in ykpiv_transfer_data() handle overflow
      by exiting
    - debian/patches/CVE-2018-14780: in ykpiv_fetch_object() handle bogus
      length by returning
    - CVE-2018-14779
    - CVE-2018-14780

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 06 Feb 2020 17:13:56 -0500

yubico-piv-tool (1.4.2-2) unstable; urgency=medium

  * Fix openssl 1.1 ftbfs.  Closes: #828616.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 08 Jan 2017 12:41:03 +0100

yubico-piv-tool (1.4.2-1) unstable; urgency=medium

  * New upstream version.
  * Clarify debian/copyright wrt ykcs11/pkcs11.h.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 14 Aug 2016 22:28:46 +0200

yubico-piv-tool (1.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 12 Aug 2016 13:57:11 +0200

yubico-piv-tool (1.4.0-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Use https URLs in Vcs-Git.
  * Update Standards-Version from 3.9.6 to 3.9.8.
  * Build with hardening=+all.
  * Improve package descriptions (lintian duplicate-short-description).

  [ Klas Lindfors ]
  * New upstream version.  Closes: #810284.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Aug 2016 12:05:28 +0200

yubico-piv-tool (1.1.2-1) unstable; urgency=low

  * New upstram version.

 -- Alessio Di Mauro <alessio@yubico.com>  Fri, 13 Nov 2015 16:16:09 +0100

yubico-piv-tool (1.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Alessio Di Mauro <alessio@yubico.com>  Wed, 11 Nov 2015 18:58:58 +0100

yubico-piv-tool (1.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Alessio Di Mauro <alessio@yubico.com>  Mon, 09 Nov 2015 09:30:26 +0100
