=== debian/control ===
Source: yubico-piv-tool
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Alessio Di Mauro <alessio@yubico.com>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9), pkg-config, libpcsclite-dev, libssl1.0-dev | libssl-dev (<< 1.1.0~), gengetopt, help2man, dh-autoreconf, chrpath
Standards-Version: 3.9.8
Homepage: https://developers.yubico.com/yubico-piv-tool/
Vcs-Browser: https://github.com/Yubico/yubico-piv-tool-dpkg
Vcs-Git: https://github.com/Yubico/yubico-piv-tool-dpkg.git

Package: libykpiv1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pcscd
Replaces: libykpiv0
Conflicts: libykpiv0
Description: Library for communication with the YubiKey PIV smartcard
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the run-time shared library.  You normally don't
 need to install it manually.

Package: libykpiv-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv1 (= ${binary:Version})
Description: Development files for the YubiKey PIV Library
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the development files for the library.

Package: yubico-piv-tool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command line tool for the YubiKey PIV applet
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the command-line tool.

Package: ykcs11
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv1 (= ${binary:Version})
Description: PKCS#11 module for the YubiKey PIV applet
 The Yubico PIV tool is used for interacting with the Personal
 Identity Verification Card (PIV) application on a YubiKey.  With it
 you may generate keys on the device, import keys and certificates,
 create certificate requests, and other operations. A shared library,
 a PKCS#11 module a command-line tool are included.
 .
 This package contains the PKCS#11 module.
