## yubico-piv-tool 1.5.0

=== debian/changelog ===
yubico-piv-tool (1.5.0-1) unstable; urgency=medium

  * New upstream version.  Closes: #810284.
    - Replace libssl1.0 with libssl1.1.  Closes: #859838.
    - Depend on check.
  * Use https URLs in debian/copyright.
  * Update Standards-Version from 3.9.8 to 4.1.4.
    - Priority optional instead of extra.
  * Use compat level 11.
    - Drop no longer needed --parallel.
    - Drop no longer needed --with autoreconf.
    - Drop no longer needed --disable-silent-rules.
    - Drop no longer needed --builddirectory.
    - Drop no longer needed dh-autoreconf.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 11 Jun 2018 21:56:06 +0200
