=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: yubico-piv-tool
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Alessio Di Mauro <alessio@yubico.com>
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 9), pkg-config, libpcsclite-dev, libssl1.0-dev | libssl-dev (<< 1.1.0~), gengetopt, help2man, dh-autoreconf, chrpath
-Standards-Version: 3.9.8
+Priority: optional
+Build-Depends: debhelper (>= 11), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man, chrpath
+Standards-Version: 4.1.4
 Homepage: https://developers.yubico.com/yubico-piv-tool/
 Vcs-Browser: https://github.com/Yubico/yubico-piv-tool-dpkg
 Vcs-Git: https://github.com/Yubico/yubico-piv-tool-dpkg.git
