## yubico-piv-tool 1.6.2

=== debian/changelog ===
yubico-piv-tool (1.6.2-1) unstable; urgency=high

  * New upstream version 1.6.2.
  * Update Standards-Version from 4.2.0 to 4.2.1.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 25 Sep 2018 11:40:12 +0200

yubico-piv-tool (1.6.1-1) unstable; urgency=high

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.6.1 (2018-08-17)
    Fixes a potential buffer overflow (CVE-2018-14779, CVE-2018-14780)
    Closes: #906128

  * Update upstream signing keys & move them to debian/upstream
  * debian/copyright: Solve duplicate license in DEP-5 format
  * debian/control
    + Sort the Uploaders list.
    + Add myself to Uploaders.
    + Declare compliance with policy 4.2.0.
      No change required

  [ Simon Josefsson ]
  * Update URLs to reflect move of dpkg git to salsa.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Sun, 19 Aug 2018 12:38:11 +0200
