=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: yubico-piv-tool
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@josefsson.org>, Klas Lindfors <klas@yubico.com>, Dain Nilsson <dain@yubico.com>, Alessio Di Mauro <alessio@yubico.com>
+Uploaders:
+ Nicolas Braud-Santoni <nicolas@braud-santoni.eu>,
+ Alessio Di Mauro <alessio@yubico.com>,
+ Simon Josefsson <simon@josefsson.org>,
+ Klas Lindfors <klas@yubico.com>,
+ Dain Nilsson <dain@yubico.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man, chrpath
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://developers.yubico.com/yubico-piv-tool/
-Vcs-Browser: https://github.com/Yubico/yubico-piv-tool-dpkg
-Vcs-Git: https://github.com/Yubico/yubico-piv-tool-dpkg.git
+Vcs-Browser: https://salsa.debian.org/auth-team/yubico-piv-tool
+Vcs-Git: https://salsa.debian.org/auth-team/yubico-piv-tool.git
 
 Package: libykpiv1
 Architecture: any
