## yubico-piv-tool 1.7.0

=== debian/changelog ===
yubico-piv-tool (1.7.0-1) unstable; urgency=high (security fixes)

  [ Nicolas Braud-Santoni ]
  * New upstream version 1.7.0
    + Security fixes. (Closes: #926551)
    + ykcs11: Fix ECDSA signatures.
    + Documentation fixes.
    + libykpiv1: Update symbols file, add Build-Depends-Package metadata

  * debian/upstream: Update keyring and its generation script

  * debian/control
    + Update Uploader's email address
    + Bump Standards-Version to 4.3.0
      No change required.

  * Switch to debhelper 12
  * debian/rules
    + Avoid unnecessary override_dh_install
    + Don't set rpath at build-time, rather than overriding
    + Replace `dh_install --fail-missing` with `dh_missing`

  * ykcs11: Add Lintian overrides for PKCS#11 quirks
  * libykpiv-dev: Do not ship pkgconfig metadata for ykcs11
    + YKCS11 is a PKCS#11 provider
    + This would be the wrong package for it anyhow.

  [ Simon Josefsson ]
  * Drop myself from Uploaders.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 06 Apr 2019 22:35:22 +0200
