=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: yubico-piv-tool
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders:
- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>,
+ Nicolas Braud-Santoni <nicoo@debian.org>,
  Alessio Di Mauro <alessio@yubico.com>,
- Simon Josefsson <simon@josefsson.org>,
  Klas Lindfors <klas@yubico.com>,
  Dain Nilsson <dain@yubico.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man, chrpath
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man
+Standards-Version: 4.3.0
 Homepage: https://developers.yubico.com/yubico-piv-tool/
 Vcs-Browser: https://salsa.debian.org/auth-team/yubico-piv-tool
 Vcs-Git: https://salsa.debian.org/auth-team/yubico-piv-tool.git
