## yubico-piv-tool 2.0.0

=== debian/changelog ===
yubico-piv-tool (2.0.0-2) unstable; urgency=medium

  * debian/rules: Compile and link with -pthread
  * debian/control: Add Rules-Requires-Root: no
  * Add CI using salsa-ci-team's pipeline
  * Update authorship information

 -- nicoo <nicoo@debian.org>  Sun, 16 Feb 2020 11:12:49 +0100

yubico-piv-tool (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0 (2020-01-29)
    + libykpiv1: Update symbols file
    + yubico-piv-tool: Patch typo
    + debian/upstream: Update signing keyring

  * Rename packaging branch to debian/sid (formerly master)
  * Declare compliance with policy v4.5.0.
    No change required.

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 12 Feb 2020 13:18:52 +0100
