=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: yubico-piv-tool
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders:
- Nicolas Braud-Santoni <nicoo@debian.org>,
+ nicoo <nicoo@debian.org>,
  Alessio Di Mauro <alessio@yubico.com>,
  Klas Lindfors <klas@yubico.com>,
  Dain Nilsson <dain@yubico.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://developers.yubico.com/yubico-piv-tool/
 Vcs-Browser: https://salsa.debian.org/auth-team/yubico-piv-tool
 Vcs-Git: https://salsa.debian.org/auth-team/yubico-piv-tool.git
+Rules-Requires-Root: no
 
 Package: libykpiv1
 Architecture: any
