=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -pthread
+export DEB_LDFLAGS_MAINT_APPEND = -pthread
 
 %:
 	dh $@
