## yubico-piv-tool 2.2.0

=== debian/changelog ===
yubico-piv-tool (2.2.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Julien Cristau <jcristau@debian.org>  Thu, 18 Feb 2021 10:09:36 +0100

yubico-piv-tool (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0 (2021-01-20)
    + ypiv Fixed memory leaks and error handling
    + ykcs11
      - Updated Cryptoki version
      - Support for destroying ECDH derived keys
      - Improved handling of PIN after device re-connection

  * Make the build deterministic by setting CMAKE_BUILD_RPATH_USE_ORIGIN

  * d/copyright: Fix syntax issue in Upstream-Contact
  * d/control: Declare compliance with policy v4.5.1 (no change needed)
  * libykpiv2: Update symbols file
  * yubico-piv-tool: Put useful description in manpage

 -- nicoo <nicoo@debian.org>  Sun, 31 Jan 2021 16:58:55 +0100

yubico-piv-tool (2.1.1-3) unstable; urgency=high (RC and security)

  * d/control: Fix a syntax error in the Uploaders field
    Closes: #975689

 -- nicoo <nicoo@debian.org>  Thu, 26 Nov 2020 05:41:48 +0100

yubico-piv-tool (2.1.1-2) unstable; urgency=high (security)

  * Source-only reupload for migration to testing.
  * d/control: Add Multi-Arch fields on all binary packages

 -- nicoo <nicoo@debian.org>  Tue, 24 Nov 2020 18:20:25 +0100

yubico-piv-tool (2.1.1-1) unstable; urgency=high (security)

  * New upstream version 2.1.1 (2020-07-20)
    + Security fix (YSA-2020-02, CVE-2020-13132)
    + Fixed potential memory leaks
    + Improved error handling
    + Support setting debug output at runtime
    + Build system switched to CMake

  * libykpiv-dev: Install headers to /usr/include/$(DEB_HOST_MULTIARCH)/
  * Update symbols file and bump SO_VERSION.
    Upstream broke ABI compatibility without changing the SONAME, as the symbol
    versioning scheme changed.  This presumably happened with the CMake switch.

  * d/copyright: Set Upstream-Contact to Yubico's OSS maintainers role
  * d/changelog: Amend to update maintainer's name and email address
  * d/watch: Declare compatibility with version 4.
    No change required.
  * d/control: Switch to debhelper 13

 -- nicoo <nicoo@debian.org>  Mon, 23 Nov 2020 22:26:41 +0100
