=== debian/control ===
--- 
+++ 
@@ -1,27 +1,34 @@
 Source: yubico-piv-tool
 Maintainer: Debian Authentication Maintainers <pkg-auth-maintainers@lists.alioth.debian.org>
 Uploaders:
- nicoo <nicoo@debian.org>,
- Alessio Di Mauro <alessio@yubico.com>,
- Klas Lindfors <klas@yubico.com>,
- Dain Nilsson <dain@yubico.com>
+	Alessio Di Mauro <alessio@yubico.com>,
+	Dain Nilsson <dain@yubico.com>,
+	Klas Lindfors <klas@yubico.com>,
+	nicoo <nicoo@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12), pkg-config, libpcsclite-dev, check, libssl-dev, gengetopt, help2man
-Standards-Version: 4.5.0
+Build-Depends:
+	debhelper-compat (= 13),
+  cmake,
+	pkg-config,
+	check,
+	gengetopt,
+	help2man,
+	libpcsclite-dev,
+	libssl-dev,
+Standards-Version: 4.5.1
 Homepage: https://developers.yubico.com/yubico-piv-tool/
 Vcs-Browser: https://salsa.debian.org/auth-team/yubico-piv-tool
 Vcs-Git: https://salsa.debian.org/auth-team/yubico-piv-tool.git
 Rules-Requires-Root: no
 
-Package: libykpiv1
+Package: libykpiv2
 Architecture: any
 Section: libs
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: pcscd
-Replaces: libykpiv0
-Conflicts: libykpiv0
 Description: Library for communication with the YubiKey PIV smartcard
  The Yubico PIV tool is used for interacting with the Personal
  Identity Verification Card (PIV) application on a YubiKey.  With it
@@ -35,7 +42,8 @@
 Package: libykpiv-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv1 (= ${binary:Version})
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv2 (= ${binary:Version})
 Description: Development files for the YubiKey PIV Library
  The Yubico PIV tool is used for interacting with the Personal
  Identity Verification Card (PIV) application on a YubiKey.  With it
@@ -47,6 +55,7 @@
 
 Package: yubico-piv-tool
 Architecture: any
+Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Command line tool for the YubiKey PIV applet
  The Yubico PIV tool is used for interacting with the Personal
@@ -60,7 +69,8 @@
 Package: ykcs11
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv1 (= ${binary:Version})
+Multi-Arch: no
+Depends: ${shlibs:Depends}, ${misc:Depends}, libykpiv2 (= ${binary:Version})
 Description: PKCS#11 module for the YubiKey PIV applet
  The Yubico PIV tool is used for interacting with the Personal
  Identity Verification Card (PIV) application on a YubiKey.  With it
